CVE-2004-1489
CVSS2.6
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:41:32
NMCO    

[原文]Opera 7.54 and earlier does not properly limit an applet's access to internal Java packages from Sun, which allows remote attackers to gain sensitive information, such as user names and the installation directory.


[CNNVD]Opera访问控制漏洞(CNNVD-200412-180)

        Opera 7.54及之前版本不能正确限制来自Sun的对内部Java程序包的分支程序访问。远程攻击者可以获取敏感信息,例如用户名和安装目录。

- CVSS (基础分值)

CVSS分值: 2.6 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:opera_software:opera_web_browser:6.0.1::win32
cpe:/a:opera_software:opera_web_browser:7.11j
cpe:/a:opera_software:opera_web_browser:6.0.4::win32
cpe:/a:opera_software:opera_web_browser:6.0.3::linux
cpe:/a:opera_software:opera_web_browser:7.0.1::win32
cpe:/a:opera_software:opera_web_browser:7.0_beta1::win32
cpe:/a:opera_software:opera_web_browser:6.0.3::win32
cpe:/a:opera_software:opera_web_browser:7.50
cpe:/a:opera_software:opera_web_browser:7.52
cpe:/a:opera_software:opera_web_browser:7.22
cpe:/a:opera_software:opera_web_browser:6.10::linux
cpe:/a:opera_software:opera_web_browser:7.54
cpe:/a:opera_software:opera_web_browser:7.20_beta1_build2981
cpe:/a:opera_software:opera_web_browser:7.11b
cpe:/a:opera_software:opera_web_browser:7.21
cpe:/a:opera_software:opera_web_browser:5.0::linux
cpe:/a:opera_software:opera_web_browser:7.10
cpe:/a:opera_software:opera_web_browser:7.11
cpe:/a:opera_software:opera_web_browser:6.0.1::linux
cpe:/a:opera_software:opera_web_browser:6.0
cpe:/a:opera_software:opera_web_browser:6.0::win32
cpe:/a:opera_software:opera_web_browser:7.0.2::win32
cpe:/a:opera_software:opera_web_browser:6.0.1
cpe:/a:opera_software:opera_web_browser:5.12::win32
cpe:/a:opera_software:opera_web_browser:7.53
cpe:/a:opera_software:opera_web_browser:7.23
cpe:/a:opera_software:opera_web_browser:6.0.2::linux
cpe:/a:opera_software:opera_web_browser:7.50b1
cpe:/a:opera_software:opera_web_browser:7.0_beta2::win32
cpe:/a:opera_software:opera_web_browser:7.20
cpe:/a:opera_software:opera_web_browser:7.0.3::win32
cpe:/a:opera_software:opera_web_browser:6.0.2::win32
cpe:/a:opera_software:opera_web_browser:5.1.0::win32
cpe:/a:opera_software:opera_web_browser:6.0.5::win32
cpe:/a:opera_software:opera_web_browser:5.12
cpe:/a:opera_software:opera_web_browser:6.0.6::win32
cpe:/a:opera_software:opera_web_browser:7.51
cpe:/a:opera_software:opera_web_browser:6.0.6
cpe:/a:opera_software:opera_web_browser:5.1.1::win32
cpe:/a:opera_software:opera_web_browser:7.0::win32
cpe:/a:opera_software:opera_web_browser:5.0.2::win32
cpe:/a:opera_software:opera_web_browser:5.0::mac

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1489
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1489
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-180
(官方数据源) CNNVD

- 其它链接及资源

http://www.gentoo.org/security/en/glsa/glsa-200502-17.xml
(PATCH)  GENTOO  GLSA-200502-17
http://www.opera.com/linux/changelogs/754u1/
(UNKNOWN)  CONFIRM  http://www.opera.com/linux/changelogs/754u1/
http://lists.grok.org.uk/pipermail/full-disclosure/2004-November/029044.html
(UNKNOWN)  FULLDISC  20041119 Java Vulnerabilities in Opera 7.54

- 漏洞信息

Opera访问控制漏洞
低危 未知
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        Opera 7.54及之前版本不能正确限制来自Sun的对内部Java程序包的分支程序访问。远程攻击者可以获取敏感信息,例如用户名和安装目录。

- 公告与补丁

        

- 漏洞信息

12007
Opera sun.security.krb5.Credentials Java Class User Name Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

Opera contains a flaw that may lead to an unauthorized information disclosure. The issue trigger when an attacker uses the sun.security.krb5.Credentials class to retrieve the name of the currently logged in user and parse the home directory from the information which is provided by the thrown java.security.AccessControlException, resulting in a loss of confidentiality.

- 时间线

2004-11-19 2004-09-01
Unknow Unknow

- 解决方案

Upgrade to version 7.60 beta or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by applying the patch provided by Opera.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站